Package edu.msu.cme.rdp.classifier.io

# Class LogWordPriorFileParser

java.lang.Object
edu.msu.cme.rdp.classifier.io.LogWordPriorFileParser

public class LogWordPriorFileParser extends Object
A parser to parse a read containing a list of the indices of words and the log value of word prior probabilities.

## Constructor Summary

Constructors
Constructor
Description
`LogWordPriorFileParser()`

## Method Summary

Modifier and Type
Method
Description
`static HierarchyVersion`
`createLogWordPriorArr(Reader r, float[] arr, HierarchyVersion version)`
Reads a file and saves the log word priors in an array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogWordPriorFileParser

public LogWordPriorFileParser()

## Method Details

### createLogWordPriorArr

public static HierarchyVersion createLogWordPriorArr(Reader r, float[] arr, HierarchyVersion version) throws IOException, TrainingDataException
Reads a file and saves the log word priors in an array. Returns the version information for validation purpose. Input file format: integer follows by a tab and float each line. The first value indicates the index of a word, the second value indicates the log value of word prior probability.

Throws:
  `IOException`
  `TrainingDataException`